const TUI_VERSION = getCookie('talend_ui_version') || '6.0.0-alpha.10';

function addScripts(urls) {
	urls.forEach(function (url) {
		const script = document.createElement('script');
		script.setAttribute('src', url);
		script.async = false;
		document.head.appendChild(script);
	});
}

function addStyles(urls) {
	urls.forEach(function (url) {
		const style = document.createElement('link');
		style.setAttribute('rel', 'stylesheet');
		style.setAttribute('href', url);
		document.body.appendChild(style);
	});
}
const deps = [
	{ name: 'react', version: '16.13.1', path: '/umd/react.production.min.js' },
	{ name: 'react-dom', version: '16.13.1', path: '/umd/react-dom.production.min.js' },
	{ name: 'react-i18next', version: '16.13.1', path: '/react-i18next.min.js' },
];
function getCookie(name) {
	return document.cookie.split('; ').reduce((r, v) => {
		const parts = v.split('=');
		return parts[0] === name ? decodeURIComponent(parts[1]) : r;
	}, '');
}

// sanitize deps from the project
// if project has a UI deps this we keep the version from the project
deps.forEach(function (dep) {
    window.jsFiles = window.jsFiles.filter(function (projectJS) {
        if (projectJS.startsWith('https://unpkg.com/' + dep.name + '@')){
            dep.url = projectJS;
            return false;
        }
        return true;
    });
    if (dep.url) {
        addScripts([dep.url]);
    } else {
        addScripts(['https://unpkg.com/' + dep.name + '@' + dep.version + dep.path]);
    }
});

addScripts([
	'https://ddc5bcj13prjg.cloudfront.net/@talend/react-components/' +
		TUI_VERSION +
		'/TalendReactComponents.min.js',
]);

document.addEventListener(
	'DOMContentLoaded',
	() =>
		addStyles([
			'https://ddc5bcj13prjg.cloudfront.net/@talend/react-components/' +
				TUI_VERSION +
				'/TalendReactComponents.css',
		]),
	false,
);

addScripts(window.jsFiles || []);
